<?php

/**
 * extends Oxid Order Model
* destroys easycredit process once order is finalized
*
* @author info@senbyte.com
* @copyright 2017 senByte UG
*/

class easycredit_oxOrder extends easycredit_oxOrder_parent
{

    /**
     * @param oxBasket $oBasket                          Basket object
     * @param object                                     $oUser                Current User object
     * @param bool                                       $blRecalculatingOrder Order recalculation
     *
     * @return integer
     */
    public function finalizeOrder(oxBasket $oBasket, $oUser, $blRecalculatingOrder = false) {
        $iRet = parent::finalizeOrder($oBasket, $oUser, $blRecalculatingOrder);

        if ($oBasket->getPaymentId() == 'easycredit') {
            $ec = EasyCredit::getInstance();
            $ecProcess = $ec->getProcess();
            if ($iRet == 1 || $iRet == 0) {
                $this->setPaymentInfo($ecProcess->getProcessData()->getTechnicalTbaId());
                $ecProcess->destroy();
            }
        }
        return $iRet;
    }

    /**
     * sets technical TBA ID to order
     *
     * @param string $technicalTbaId
     */
    protected function setPaymentInfo($technicalTbaId)
    {
        $oDb = oxDb::getDb();

        $sql = 'update oxorder set oxtransid=' . $oDb->quote($technicalTbaId) . ' where oxid=' . $oDb->quote($this->getId());
        $oDb->execute($sql);

        $this->oxorder__oxtransid = new oxField($technicalTbaId);
    }
}
