<?php


/**
 * Metadata version
 */
$sMetadataVersion = '1.0';

/**
 * Module information
 */
$aModule = array(
    'id' => 'easycredit',
    'title' => 'ratenkauf by easyCredit',
    'description' => 'Modul zur Integration der Zahlart ratenkauf by easyCredit',
    'version' => '1.0.0',
    'author' => 'senByte UG',
    'thumbnail' => 'thumb.png',
    'url' => 'https://www.easycredit.de/ratenkaufpartner',
    'email' => 'info@senbyte.com',
    'files' => array(
        'Easycredit' => 'easycredit/core/Easycredit.php',
        'OxidEasycreditProcess' => 'easycredit/core/OxidEasycreditProcess.php',
        'EasycreditInstaller' => 'easycredit/core/EasycreditInstaller.php',
        'OxidFacade' => 'easycredit/core/OxidFacade.php',
        'easycredit_update' => 'easycredit/application/controllers/easycredit_update.php',
    ),
    'templates' => array(
        'ec_checkout_select_payment.tpl' => 'easycredit/application/views/checkout/ec_checkout_select_payment.tpl',
        'ec_checkout_option_details.tpl' => 'easycredit/application/views/checkout/ec_checkout_option_details.tpl',
    ),
    'extend' => array(
        'payment' => 'easycredit/application/controllers/easycredit_payment',
        'order' => 'easycredit/application/controllers/easycredit_order',
        'oxpaymentgateway' => 'easycredit/application/models/easycredit_paymentgateway',
        'oxviewconfig' => 'easycredit/core/easycredit_oxviewconfig',
        'oxarticle' => 'easycredit/application/models/easycredit_oxarticle',
        'oxpayment' => 'easycredit/application/models/easycredit_oxpayment',
        'oxorder' => 'easycredit/application/models/easycredit_oxorder',
    ),
    'settings' => array(
        array(
            'group' => 'main',
            'name' => 'EASYCREDIT_SHOP_ID',
            'type' => 'str',
            'value' => '',
            'position' => 0,
        ),
        array(
            'group' => 'main',
            'name' => 'EASYCREDIT_SHOP_TOKEN',
            'type' => 'str',
            'value' => '',
            'position' => 10,
        ),
        array(
            'group' => 'LOGGING',
            'name' => 'EASYCREDIT_LOG_LEVEL',
            'type' => 'select',
            'value' => 'error',
            'constraints' => 'error|debug',
            'position' => 20,
        ),
        array(
            'group' => 'PROXY',
            'name' => 'EASYCREDIT_PROXY_STATUS',
            'type' => 'select',
            'value' => '0',
            'constraints' => '0|1',
            'position' => 30,
        ),
        array(
            'group' => 'PROXY',
            'name' => 'EASYCREDIT_PROXY_HOST',
            'type' => 'str',
            'value' => '',
            'position' => 40,
        ),
        array(
            'group' => 'PROXY',
            'name' => 'EASYCREDIT_PROXY_PORT',
            'type' => 'str',
            'value' => '',
            'position' => 50,
        ),
        array(
            'group' => 'PROXY',
            'name' => 'EASYCREDIT_PROXY_USERNAME',
            'type' => 'str',
            'value' => '',
            'position' => 60,
        ),
        array(
            'group' => 'PROXY',
            'name' => 'EASYCREDIT_PROXY_PASSWORD',
            'type' => 'str',
            'value' => '',
            'position' => 70,
        ),
    ),
    'blocks' => array(
        array(
            'template' => 'page/details/inc/productmain.tpl',
            'block' => 'details_productmain_social',
            'file' => '/application/views/blocks/product/ec_productmain.tpl',
        ),
        array(
            'template' => 'page/checkout/inc/basketcontents.tpl',
            'block' => 'checkout_basketcontents_paymentcosts',
            'file' => '/application/views/blocks/checkout/ec_checkout_payment_costs.tpl',
        ),
        array(
            'template' => 'page/checkout/payment.tpl',
            'block' => 'select_payment',
            'file' => '/application/views/blocks/checkout/ec_select_payment.tpl',
        ),
        array(
            'template' => 'page/checkout/payment.tpl',
            'block' => 'checkout_payment_errors',
            'file' => '/application/views/blocks/checkout/checkout_payment_errors.tpl'
        ),
        array(
            'template' => 'page/checkout/order.tpl',
            'block' => 'shippingAndPayment',
            'file' => '/application/views/blocks/checkout/ec_preinformation.tpl',
        ),
        array(
            'template' => 'email/html/order_owner.tpl',
            'block' => 'email_html_order_owner_paymentinfo',
            'file' => '/application/views/email/html/order_owner.tpl',
        ),
        array(
            'template' => 'email/plain/order_owner.tpl',
            'block' => 'email_plain_order_ownerpaymentinfo',
            'file' => '/application/views/email/plain/order_owner.tpl',
        ),
        array(
            'template' => 'order_overview.tpl',
            'block' => 'admin_order_overview_checkout',
            'file' => 'ec_order_overview.tpl'
        ),
    ),
    'events' => array(
        'onActivate' => 'EasycreditInstaller::onActivate',
        'onDeactivate' => 'EasycreditInstaller::onDeactivate',
    ),
);


/* De/activate easycredit module on demand */

global $parsingModules;
if (isset($parsingModules)) {
    return;
}
$parsingModules = 1;

require_once __DIR__.'/core/EasycreditInstaller.php';

$module = oxNew('oxModule');
$module->load('easycredit');
if ((is_object($module)) && ($module->isActive())) {
    EasycreditInstaller::onActivate();
} else {
    EasycreditInstaller::onDeactivate();
}

